[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#74568: marked as done (Making diald handle multiple connections)



Your message dated Thu, 7 May 2009 19:45:54 +0100
with message-id <200905071845.n47IjsWA014621@kmos.homeip.net>
and subject line diald has been removed from Debian, closing #74568
has caused the Debian Bug report #74568,
regarding Making diald handle multiple connections
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
74568: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=74568
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: diald
Version: 0.98.2-0.1
Severity: wishlist

Diald can currently only handle 1 connection.
Here's a patch which will make /etc/init.d/diald handle several connections.
It starts multiple diald processes and looks at separate config/fifo/pid
files for each one.
The code's not TOO ugly (compared to the original, which has comments in,
etc ;-))
Hope you're interested.
--Roderik

--- /etc/init.d/diald   Mon Feb 21 04:47:52 2000+++ etc/init.d/diald    Thu
Oct 12 00:27:01 2000@@ -21,80 +21,111 @@ DESC=diald FIFO=""
+# LIST should be non-empty if you want to start several diald processes.+#
It should be a space separated list of 'IDs' (make them up yourself).+# A
diald process is started for each ID - it will have the PID file+#
'diald_<ID>.pid', and options specific to that diald process should be+# in
a file '/etc/diald/diald_<ID>.options'.+# (the ID cannot be a single
'_'.)+LIST='bp'++if [ -z "$LIST" ] ; then LIST=_ ; fi+ test -f $DAEMON ||
exit 0 test -f /etc/diald/diald.options || exit 0
-# Look for fifo in config file-NEW_FIFO=`egrep
'^[[:space:]]*fifo[[:space:]]+[^[:space:]]+'\-
/etc/diald/diald.options | sed -e 's/^[[:space:]]*fifo[[:space:]]*//'`-if
[ "$NEW_FIFO" != "" ]; then-    # The user location exists, and is a named
pipe.-    FIFO="$NEW_FIFO";-fi- set -e
+manglevars () {+    # Mangle a lot of ('global') vars:+    # depending on
$id, set $id/$MYNAME/$CONFFILE/$FIFO/$incl++    if [ "$id" = '_' ] ; then
unset id ; else id="_$id"; fi+    MYNAME="$NAME$id"+
CONFFILE="/etc/diald/$MYNAME.options"+    incl=''+    FIFO=''+    if [ -r
"$CONFFILE" ] ; then+       if [ -n "$id" ] ; then incl="include $CONFFILE"
; fi++       # Look for fifo in config file+       FIFO=`egrep
'^[[:space:]]*fifo[[:space:]]+[^[:space:]]+' $CONFFILE\+           | sed -e
's/^[[:space:]]*fifo[[:space:]]*//'`+    fi+    return+}+ case "$1" in
start)        echo -n "Starting $DESC: "-        if [ "$FIFO" != "" ] ;
then-          if test -p $FIFO ; then-            rm -f $FIFO-          fi-
mknod --mode=0660 $FIFO p-          chown root.dialout $FIFO-          if
test -p $FIFO ; then-            echo -n "fifo-created "-          fi-
fi-       start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid
   --exec $DAEMON-       echo "$NAME."+       for id in `echo $LIST` ; do+
manglevars+            if [ -n "$FIFO" ] ; then+               if [ -p
$FIFO ] ; then echo rm -f $FIFO; fi+               mknod --mode=0660 $FIFO
p+               chown root.dialout $FIFO+               if [ -p $FIFO ] ;
then echo -n "fifo-created " ; fi+            fi+
start-stop-daemon --start --quiet --pidfile /var/run/$MYNAME.pid
   --exec $DAEMON -- pidfile $MYNAME.pid $incl+           echo -n "$MYNAME
"+        done+       echo "."        ;;   stop)        echo -n "Stopping
$DESC: "-        if [ "$FIFO" != "" ] ; then-          if test -p $FIFO ;
then-            rm -f $FIFO-            echo -n "fifo-removed "-
fi-        fi-       start-stop-daemon --stop --quiet --oknodo --pidfile
/var/run/$NAME.pid \-               --exec $DAEMON-       echo "$NAME."+
for id in `echo $LIST` ; do+           manglevars+            if [ -n
"$FIFO" -a -p "$FIFO" ] ; then+               rm -f $FIFO+
echo -n "fifo-removed "+            fi++
          start-stop-daemon --stop --quiet --oknodo --pidfile
/var/run/$MYNAME.pid \+               --exec $DAEMON -- pidfile $MYNAME.pid
$incl+           echo -n "$MYNAME "+        done+       echo "."        ;;
reload|force-reload)        #echo "Reloading $DESC configuration files."-
if [ "$FIFO" != "" ] ; then-          if test -p $FIFO ; then-
echo "reset" > $FIFO-            echo "Diald configuration reloaded."-
else-            echo "Cannot reload diald configuration: $FIFO not found."-
exit 2-          fi-        else-          echo "Cannot reload diald
configuration: "-          echo "  need a fifo statement in
/etc/diald/diald.options."-          exit 2-        fi+       for id in
`echo $LIST` ; do+           manglevars+           if [ "$FIFO" != "" ] ;
then+               if test -p $FIFO ; then+                   echo "reset"
> $FIFO+                   echo "Diald configuration reloaded."+
else+                   echo "Cannot reload diald configuration: $FIFO not
found."+                   exit 2+               fi+           else+
echo "Cannot reload diald configuration: "+               echo "  need a
fifo statement in /etc/diald/diald.options."+               exit 2+
fi        # start-stop-daemon --stop --signal 1 --quiet --pidfile \        #
/var/run/$NAME.pid --exec $DAEMON+       done   ;;   restart)        echo -n
"Restarting $DESC: "-        #pid=`cat /var/run/$NAME.pid`-
start-stop-daemon --stop --quiet --oknodo --pidfile \-
/var/run/$NAME.pid --exec $DAEMON-        while [ -n "`pidof $NAME`" ]; do
sleep 1; echo -n .;done-        #while ps $pid >/dev/null 2>/dev/null-
#do-        #  sleep 1-        #done-       #sleep 1-
start-stop-daemon --start --quiet --pidfile \-
/var/run/$NAME.pid --exec $DAEMON-       echo "$NAME."+       for id in
`echo $LIST` ; do+           manglevars+           #pid=`cat
/var/run/$MYNAME.pid'+
          start-stop-daemon --stop --quiet --oknodo --pidfile
/var/run/$MYNAME.pid \+               --exec $DAEMON -- pidfile $MYNAME.pid
$incl+           echo -n "$MYNAME "+           while [ -n "`pidof
$MYNAME`" ]; do sleep 1; echo -n .;done+           #while ps $pid >/dev/null
2>/dev/null+           #do+           #  sleep 1+           #done+
#sleep 1+           start-stop-daemon --start --quiet --pidfile
/var/run/$MYNAME.pid \+               --exec $DAEMON -- pidfile $MYNAME.pid
$incl+           echo -n "$MYNAME "+       done        ;;   *)
N=/etc/init.d/$NAME





--- End Message ---
--- Begin Message ---
Version: 0.99.4-9+rm

The diald package has been removed from Debian so we are closing
the bugs that were still opened against it.

For more information about this package's removal, read
http://bugs.debian.org/526512 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

Kind regards,
--
Marco Rodrigues


--- End Message ---

Reply to: